async function StarWarsGet() {
    const data = await lekeres()
    
    return (
        data.map((item) => {
            <div>
                <h1>{item.title}</h1>
                <span><b>Rendező:</b> {item.director}</span>
                <span><b>Producer:</b> {item.producer}</span>
                <span><b>Készítés éve:</b> {item.release_date}</span>
            </div>  
        })
    )
}


async function lekeres() {
    try {
        let results = await fetch("https://swapi.dev/api/films/?format=json")

        if(!results) {
            return <h1>Adatok betöltése</h1>
        }
        

        const data = await results.json()
        
        return data.results
    } catch (e) {
        console.log(`Hiba történt: ${e}`);
    }
}


export default StarWarsGet